Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 409357 - Don't exclude linux-headers from @system on *-linux profiles
Summary: Don't exclude linux-headers from @system on *-linux profiles
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 18:31 UTC by Jeremy Olexa (darkside) (RETIRED)
Modified: 2012-03-23 02:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2012-03-22 18:31:56 UTC
This is the wrong approach:

    virtual/os-headers-0 (!prefix ? sys-kernel/linux-headers:0)

instead it needs to be removed from the system set and added back in the linux system set.

But, then packages depending on virtual/os-headers will try to pull in linux-headers on non-linux platforms? Hmm, what is the correct solution here?
Comment 1 Fabian Groffen gentoo-dev 2012-03-22 18:39:45 UTC
kernel_linux?
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2012-03-22 18:45:02 UTC
So this should be proper?

-RDEPEND="!prefix? (
-               || ( sys-kernel/linux-headers:0
-                       sys-freebsd/freebsd-lib )
-       )"
+RDEPEND="|| ( kernel_linux? ( sys-kernel/linux-headers:0 )
+       sys-freebsd/freebsd-lib )
Comment 3 Fabian Groffen gentoo-dev 2012-03-22 18:51:32 UTC
on darwin I don't want freebsd-lib, maybe:

|| (
  kernel_linux? ( x )
  !prefix? ( y )
)
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2012-03-22 18:58:06 UTC
toolchain team: May I commit this to fix up some linux dependancy issues for Gentoo Prefix?

Index: os-headers-0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/virtual/os-headers/os-headers-0.ebuild,v
retrieving revision 1.4
diff -u -r1.4 os-headers-0.ebuild
--- os-headers-0.ebuild 9 May 2011 20:11:43 -0000       1.4
+++ os-headers-0.ebuild 22 Mar 2012 18:56:47 -0000
@@ -16,7 +16,5 @@
 DEPEND=""
 # depend on SLOT 0 of linux-headers, because kernel-2.eclass
 # sets a different SLOT for cross-building
-RDEPEND="!prefix? (
-               || ( sys-kernel/linux-headers:0
-                       sys-freebsd/freebsd-lib )
-       )"
+RDEPEND="|| ( kernel_linux? ( sys-kernel/linux-headers:0 )
+       !prefix? ( sys-freebsd/freebsd-lib ) )
Comment 5 SpanKY gentoo-dev 2012-03-23 00:35:11 UTC
should be fine, but please use the style:
RDEPEND="
    || (
        kernel_linux? ( sys-kernel/linux-headers:0 )
        !prefix? ( sys-freebsd/freebsd-lib )
    )"

the inlining of elements makes it hard to see wtf is going on
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2012-03-23 02:32:38 UTC
+  23 Mar 2012; Jeremy Olexa <darkside@gentoo.org> os-headers-0.ebuild:
+  fix up some linux dependency issues for Gentoo Prefix, bug 409357